Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.server
Class ServerDirContext

    java.lang.Object
      |
      +--com.sun.jndi.toolkit.ctx.PartialCompositeContext
            |
            +--com.sun.jndi.toolkit.ctx.ComponentContext
                  |
                  +--com.sun.jndi.toolkit.ctx.AtomicContext
                        |
                        +--com.sun.jndi.toolkit.ctx.PartialCompositeDirContext
                              |
                              +--com.sun.jndi.toolkit.ctx.ComponentDirContext
                                    |
                                    +--com.novell.service.server.ServerDirContext

public class ServerDirContext
extends com.sun.jndi.toolkit.ctx.ComponentDirContext
implements javax.naming.Referenceable, NWServer

Represents a NetWare Server.

The Server has three bindings:

- File System
- NCPExtensions
- Bindery

Method Summary
`void` | `close()` internal
`java.util.Calendar` | `getTime()` Method implemented in NWServer interface.
`void` | `loadNLM(java.lang.String loadCommand)` Method implemented in NWServer interface.
`void` | `setTime(java.util.Calendar cal)` Method implemented in NWServer interface.
`void` | `unloadNLM(java.lang.String name)` Method implemented in NWServer interface.

Methods inherited from class com.sun.jndi.toolkit.ctx.PartialCompositeDirContext
`bind, bind, createSubcontext, createSubcontext, getAttributes, getAttributes, getAttributes, getAttributes, getSchema, getSchema, getSchemaClassDefinition, getSchemaClassDefinition, modifyAttributes, modifyAttributes, modifyAttributes, modifyAttributes, rebind, rebind, search, search, search, search, search, search, search, search`

Methods inherited from class com.sun.jndi.toolkit.ctx.PartialCompositeContext
`bind, bind, composeName, composeName, createSubcontext, createSubcontext, destroySubcontext, destroySubcontext, getNameParser, getNameParser, list, list, listBindings, listBindings, lookup, lookup, lookupLink, lookupLink, rebind, rebind, rename, rename, resolveToClass, resolveToClass, unbind, unbind`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### close

    public void close()
               throws javax.naming.NamingException

  internal
  Overrides:
    close in class com.sun.jndi.toolkit.ctx.PartialCompositeContext

### loadNLM

    public void loadNLM(java.lang.String loadCommand)
                 throws com.novell.service.jncp.NSIException

  Method implemented in NWServer interface.
  Specified by:
    loadNLM in interface NWServer
  See Also:
    `NWServer`

### unloadNLM

    public void unloadNLM(java.lang.String name)
                   throws com.novell.service.jncp.NSIException

  Method implemented in NWServer interface.
  Specified by:
    unloadNLM in interface NWServer
  See Also:
    `NWServer`

### getTime

    public java.util.Calendar getTime()
                               throws com.novell.service.jncp.NSIException

  Method implemented in NWServer interface.
  Specified by:
    getTime in interface NWServer
  See Also:
    `NWServer`

### setTime

    public void setTime(java.util.Calendar cal)
                 throws com.novell.service.jncp.NSIException

  Method implemented in NWServer interface.
  Specified by:
    setTime in interface NWServer
  See Also:
    `NWServer`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD